<?php
return [
    "achtung"               => "Warning! Structure and functionality of our website are subject to constant development and changes. We try to update our help pages as quickly as possible, but can not prevent temporary mistakes.",
    "title"                 => "MetaGer Help",

    "title.2"               => 'Use of the search engine',

    "startpage.title"       => 'The start page',
    "startpage.info"        => 'The start page contains the search field and a menu button in the upper right corner. There is a link below the search field which let you add MetaGer to your web browser. At last, at the bottom of the page there is some information about MetaGer and its supporting association, the SUMA-EV.',

    "searchfield.title"     => 'The search field',
    "searchfield.info"      => 'The search field contains:',
    "searchfield.memberkey" => 'The key symbol (only SUMA-EV members): Members can enter a private key to use the "free-of-advertising" metager search. If you want this too, just become a member: <a href = "https://metager.org/beitritt">Membership form</a>',
    "searchfield.slot"      => 'The search field: Enter your words here.',
    "searchfield.search"    => 'The magnifier: Start your search.',
    "resultpage.title"      => 'The result page',
    "resultpage.foci"       => 'There are three (six for the german branch) different search focuses below the search field (Web, Pictures and Shopping). We assigned specific search engines to these focuses.',
    "resultpage.choice"     => 'Below these you have two links:',
    "resultpage.filter"     => 'Filter: Toggle filters on / off and apply settings here. Each focus has its own assortment.',
    "resultpage.settings.0" => 'Settings: Apply here your permanent settings for the current focus. You can select / unselect search engines here, too. Your settings are stored as non-personally identifiable cookies. Click "Overview" to see your settings. If settings have been stored you find a deletion button at the end of the page. There is also a menu entry to access the settings page.',
    "resultpage.settings.1" => 'The section "Note" offers a link to the cookie list and also a box with a link which is useful to copy and save as a bookmark. Using the bookmark you will have all settings working immediately.',
    "resultpage.settings.2" => 'Arrange your personal blacklist here. Settings made here will be concatenetad to the link in the section "Note".',
    "resultpage.settings.3" => 'Switch citations on/off.',
    "resultpage.settings.4" => 'Enter the MetaGer Dark Mode here.',


    "stopworte.title" => "Exclude single words",
    "stopworte.1" => "If you want to exclude words within the search result, you have to put a \"-\" in front of that word",
    "stopworte.2" => "Example: You are looking for a new car, but no BMW. Then your search should be <div class=\"well well-sm\">new car -bmw</div>",
    "stopworte.3" => "car new -bmw",

    "mehrwortsuche.title" => "Searching for more than one word",
    "mehrwortsuche.1" => "Without quotation you will get results containing one or some of the words of your search entry. Use quotes for the search for exact phrases, citations....",
    "mehrwortsuche.2" => "Example: search for Shakespears <div class=\"well well-sm\">to be or not to be</div> will deliver many results, but the exact phrase will only be found using <div class=\"well well-sm\">\"to be or nor to be\"</div>",
    "mehrwortsuche.3" => "Please use quotes to make sure to get your search words in the results list.",
    "mehrwortsuche.3.example" => '"round-table" "decision"',
    "mehrwortsuche.4" => "Put words or phrases in quotation marks to search for exact combinations.",
    "mehrwortsuche.4.example" => '"round-table decision"',

    "grossklein.title" => "Upper case vs. lower case",
    "grossklein.1" => "Upper case will not be distinguished from lower case",
    "grossklein.2" => "Example: Searching for",
    "grossklein.2.example" => "capitalization",
    "grossklein.3" => "should give the same results as",
    "grossklein.3.example" => "CAPITALIZATION",

    "result.title" => 'Results',
    "result.info.1" => 'All results will look like this:<p><div class="image-container"><img src="/img/hilfe-php-resultpic-en-01.png"></div></p>',
    "result.info.open" => '"OPEN": Click the headline, the link below (URL) or the "OPEN" button to open the result in the same TAB.',
    "result.info.newtab" => '"OPEN IN NEW TAB" will open the result in a new TAB.',
    "result.info.anonym" => '"OPEN ANONYMOUSLY": the page will be opened under the proxy protection. There is some information about the proxy further down here.',
    "result.info.more" => '"MORE": you will get more options, the result changes its appearance to:<p><div class="image-container"><img src="/img/hilfe-php-resultpic-en-02.png"></div></p>',
    "result.info.2" => 'The new options are:',
    "result.info.saveresult" => '"Save result in TAB" (Only desktop): The result will be stored in a new TAB. It´ s used for collecting results out of several searches. This TAB appears on the right side of your screen. (info: <a href="#searchinsearch"> Search in search</a>)',
    "result.info.domainnewsearch" => '"Start a new search on this domain": search only on this domain.',
    "result.info.hideresult" => '"Hide": hide results from this domain. You can use this filter directly after your search words (e.g. my search words -site:*.wikipedia.org), filters can be concatenated and the wildcard "*" is allowed. See also <a href="#difset"> "Settings"</a> to apply a permanent solution.',

    "urls.title" => "Exclude URLs",
    "urls.explanation" => "Use \"-url:\" to exclude search results containing specified words.",
    "urls.example.1" => "Example: You don' t want the word \"dog\" in the results:",
    "urls.example.2" => "Type <i>my search words</i> -url:dog",

    "bang.title" => "!bangs",
    "bang.1" => "MetaGer uses a little a special spelling called \"!bang syntax\". A !bang starts with the \"!\" and doesn't contain blanks (\"!twitter\", \"!facebook\" for example). If you use a !bang supported by MetaGer you will see a new entry in the \"Quicktips\". We direct then to the specified service (click the button). Read more about our method departing from others:  <a href=\"/en/hilfe/#bangs\" target=\"_blank\" rel=\"noopener\"> FAQ</a>",
    "faq.18.h" => "Why are the !bangs not opended directly?",
    "faq.18.b" => "The !bang -\\\"redirections\\\" are part of our quicktips and they need an additional click. We had to decide between easy-to-use and keep-control-of-data. We find it necessary to show that the links are third party property (DuckDuckGo). So there is a two way protection: first we do not transfer your searchwords but only the !bang to DuckDuckGo. On the other hand the user confirms the !bang-target explicit. We don't have the ressources to maintain all this !bangs, we are sorry.",

    "searchinsearch.title" => "Search in search",
    "searchinsearch.1" => "The result will be stored in a new TAB appearing at the right side of the screen. It is called \"Saved results\". You can store here single results from several searches. The TAB persists. Entering this TAB you get your personal result list with tools to filter and sort the results. Click another TAB to go back for further searches. You won´t have this if the screen is too small. More info (only german so far): <a href=\"http://blog.suma-ev.de/node/225\" target=\"_blank\" rel=\"noopener\"> SUMA blog</a>.",

    "dienste" => "Tools-free of charge",

    "app.title" => "Android-App",
    "app.1" => "You can use MetaGer within an app, too. To do so just download the <a href=\"https://play.google.com/store/apps/details?id=de.metager.metagerapp\" target=\"_blank\" rel=\"noopener\">MetaGer App</a> on your Android smartphone.",

    "plugin.title" => "Browser-Plugin",
    "plugin.1" => "There is a MetaGer Plugin for most of the common web browsers. The plugin provides easy search from the web browsers search field. Find out more: <a href=\"/en/plugin\" rel=\"noopener\">MetaGer Plugin</a>.",

    "suchwortassoziator.title" => "MetaGer-Web-Associator",
    "suchwortassoziator.1" => 'Ask the <a href="/en/asso/" target="_blank" rel="noopener">MetaGer-Web-Assoziator</a> (Tools / Associator) to find connotations in a subject area. The service doesn&apos;t append upon any language because it uses webdocuments as a source. Therefore, you find any connotations to your used language and vice-versa.',
    "suchwortassoziator.2" => "Example: you want to know more about \"tick bites\" and its dangers but you forgot the technical terms around this issue. The \"Assoziator\" presents \"Borreliose\" and \"fsme\" among others.",
    "suchwortassoziator.3" => "Please let us know if something unsuitable appears. Please use our <a href=\"/en/kontakt/\" target=\"_blank\" rel=\"noopener\">contact form</a>.",

    "widget.title" => "MetaGer widget",
    "widget.1" => "Provide full MetaGer functionality to your own website! Just select Tools / widget on our startpage, decide whether you want a powerful websearch or a sitesearch -which may be useful on your own pages. Enter the domainname and let the script do the rest. Questions to: <a href=\"/en/kontakt/\" target=\"_blank\" rel=\"noopener\">contact form</a>",

    "dienste.kostenlos" => "All our services are cost free. You do not pay with your data.",

    "datenschutz.title" => "Privacy",
    "datenschutz.faktencheck.heading" => "Fact-Check versus fake news:",
    "datenschutz.faktencheck.body.1" => "<a href=\"http://www.password-online.de/?wysija-page=1&controller=email&action=view&email_id=280\" target=\"_blanK\" rel=\"noopener\">Ausführliche Anleitung und Beschreibung</a> von <a href=\"http://www.ude.de/\" target=\"_blanK\" rel=\"noopener\">Albrecht Ude</a>",
    "datenschutz.faktencheck.body.2" => "<a href=\"en/hilfe/faktencheck\">Checklist</a>",
    "datenschutz.1" => "Tracking-Cookies, Session-IDs, IP addresses",
    "datenschutz.2" => "We don&apos;t store or work with any personal information (For the purpose of securing our servers against Hacking- and Bot-Attacks, we need to store these information for a short period of time. It will be automatically deleted afterwards). We provide further privacy security services. For more details see below:",
    "datenschutz.3" => "Click / touch the burger menu to use the tools.",

    "tor.title" => "Tor Hidden Service",
    "tor.1" => "MetaGer provides the highest reachable security level for your privacy (anonymised IP addresses, servers under german privacy protection law). For further security needs or fear of compromised servers you may use the MetaGer-Tor branch. Please download the specialized webbrowser from <a href=\"https://www.torproject.org/\" target=\"_blank\" rel=\"noopener\">https://www.torproject.org/</a>. You will find help there, too.",
    "tor.2" => "MetaGer Tor address: http://metagerv65pwclop2rsfzg4jwowpavpwd6grhhlvdgsswvo6ii4akgyd.onion",

    "proxy.title" => "MetaGer proxy server",
    "proxy.1" => "Click or touch \"open anonymously\" to use the MetaGer proxy server. The provided protection is limited to the website you reached from our result page. Protection persists while you see https://proxy.suma-ev.de/?url=...in your webbrowser‘s address field.",

    "maps.title" => "MetaGer maps",
    "maps.1" => "MetaGer provides a map function (not on metager.org, please use <a href=\"https://www.metager.de/\" target=\"_blank\" rel=\"noopener\">MetaGer.de</a>) : On a result page you see a new focus on the upper right, called \"Maps\". You receive a map according to your search by click.",
    "maps.2" => "After loading the map shows POIs according to the MetaGer results. You see them in the right column too. Mouseover a POI highlights its counterpart. Click \"Details\" to get further information (Nominatim data base) to this POI.",
    "maps.3" => "The maps are rendered before (except for the last three ones) and fast available. Affect the zoom level by mouse-wheel or the \"+ / -\" buttons in the upper left corner of the map.",

    'faq.title' => 'FAQ',

    'metager.title' => 'MetaGer - General remarks',
    'metager.explanation.1' => 'MetaGer is primarily a meta search engine (founded in 1996). Besides that MetaGer maintains a number of specialized crawlers and indexers of its own.',
    'metager.explanation.2' => 'Additionally: meta search engines provide a wider coverage and a better overview, because none of the search engines knows the whole internet (Read more: <a href="https://en.wikipedia.org/wiki/Metasearch_engine" target="_blank" rel="noopener">Wikipedia</a>. Every result shows its origin in the right top corner. You may try this specific search engine to look for further results. We have grouped all available search services to several search focuses.',

    'searchengine.title' => 'How does MetaGer query other search engines while preserving user anonymity?',
    'searchengine.explanation' => 'Since MetaGer is a meta-search engine, every search request you send to us will be stripped of information which could lead to your identification before being sent to e.g. Yahoo. Yahoo will send their response to us which we will then forward to you. This is how we handle every search request sent to us, no matter which one of the offered search engines you use. By doing this we commit ourselves to guarantee your privacy and do not save any personal data. It is possible to verify this, since the source code of MetaGer has been released under a free license <a href=\"https://gitlab.metager.de/open-source/MetaGer\">(https://gitlab.metager.de/open-source/MetaGer)</a>. If you have your own website you could try and find out how our <a href=":widget-link" target="_blank">MetaGer-Widget</a> works. You are also free to create links to our search engine.',

    'content.title' => 'Inappropriate Content / youth protection',
    'content.explanation.1' => 'I found results with illegal content.',
    'content.explanation.2' => 'If some content (presented by MetaGer) seems to be illegal, please email us to <a href="mailto:jugendschutz@metager.de" target="_blank" rel="noopener">jugendschutz@metager.de</a>.',

    'selist.title' => 'I want to add metager.de to the search engines list of my browser.',
    'selist.explanation.1' => 'Please try first to install the newest available plugin. Just use the link below the searchfield, it has an automatic browserdetection.',
    'selist.explanation.2' => 'Some browser need an URL. Please use "https://metager.de/meta/meta.ger3?eingabe=%s" without qoutation marks. If there are still problems, please <a href="/en/kontakt" target="_blank" rel="noopener">write an email.</a>',

    'proposal.title' => 'How can I delete the search suggestions?',
    'proposal.explanation' => 'This is provided by your webbrowser. Try to customize the history settings.',

    'assignment.title' => 'How can one match data to individuals ?',
    'assignment.explanation.1' => 'This could be done by cookies. For example a cookie can be set as a part of making an account. You give your data, a cookie is made out of it and is stored on your PC. Next time using the same service it will know you very well. This kind of data is managed by the webbrowser. It is easy to find and erase all cookies from unknown or not confidable origins. You should do this routinely.',
    'assignment.explanation.2' => 'The webbrowser sends a heap of data to a website, like the user agent, exact version numbers, the work invironment, the operating system and so on. Maybe there is a matching of data to individuals possible, too.',
];
